FieldProperties (Solr 3.6.2 API)
Keywords: org.apache.solr.schema.FieldProperties class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.schema
Class FieldProperties

    java.lang.Object
      org.apache.solr.schema.FieldProperties

Direct Known Subclasses:
  FieldType, SchemaField

    public abstract class FieldProperties

extends Object

Version:
  $Id: FieldProperties.java 1206916 2011-11-27 23:23:00Z erick $
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Field Summary
`protected static int` | `BINARY`
`protected static int` | `INDEXED`
`protected static int` | `MULTIVALUED`
`protected static int` | `OMIT_NORMS`
`protected static int` | `OMIT_POSITIONS`
`protected static int` | `OMIT_TF_POSITIONS`
`protected static int` | `REQUIRED`
`protected static int` | `SORT_MISSING_FIRST`
`protected static int` | `SORT_MISSING_LAST`
`protected static int` | `STORE_TERMOFFSETS`
`protected static int` | `STORE_TERMPOSITIONS`
`protected static int` | `STORE_TERMVECTORS`
`protected static int` | `STORED`
`protected static int` | `TOKENIZED`

Constructor Summary
`FieldProperties()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDEXED

    protected static final int INDEXED

See Also:
  Constant Field Values

### TOKENIZED

    protected static final int TOKENIZED

See Also:
  Constant Field Values

### STORED

    protected static final int STORED

See Also:
  Constant Field Values

### BINARY

    protected static final int BINARY

See Also:
  Constant Field Values

### OMIT_NORMS

    protected static final int OMIT_NORMS

See Also:
  Constant Field Values

### OMIT_TF_POSITIONS

    protected static final int OMIT_TF_POSITIONS

See Also:
  Constant Field Values

### STORE_TERMVECTORS

    protected static final int STORE_TERMVECTORS

See Also:
  Constant Field Values

### STORE_TERMPOSITIONS

    protected static final int STORE_TERMPOSITIONS

See Also:
  Constant Field Values

### STORE_TERMOFFSETS

    protected static final int STORE_TERMOFFSETS

See Also:
  Constant Field Values

### MULTIVALUED

    protected static final int MULTIVALUED

See Also:
  Constant Field Values

### SORT_MISSING_FIRST

    protected static final int SORT_MISSING_FIRST

See Also:
  Constant Field Values

### SORT_MISSING_LAST

    protected static final int SORT_MISSING_LAST

See Also:
  Constant Field Values

### REQUIRED

    protected static final int REQUIRED

See Also:
  Constant Field Values

### OMIT_POSITIONS

    protected static final int OMIT_POSITIONS

See Also:
  Constant Field Values

Constructor Detail

### FieldProperties

    public FieldProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD